
CoCoA-5 - Bug #880

subst should check that indet is in same ring as 1st arg, but does not.

09 May 2016 15:56 - John Abbott

Status: Closed Start date: 09 May 2016

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Incomplete function Estimated time: 1.00 hour

Target version: CoCoA-5.2.0 spring 2017 Spent time: 0.75 hour

Description

subst should check that indet is in same ring as 1st arg, but does not.

Here is an example:

P1 ::= QQ[x,y];

P2 ::= QQ[y,x];

use P1;

f := x+2*y;

subst(f, RingElem(P2, "x"), 1); -- > gives x+2

Related issues:

Related to CoCoA-5 - Support #879: LOGAR: make CoCoA-5 easier to use New 09 May 2016

History

#1 - 09 May 2016 17:00 - John Abbott

- Related to Support #879: LOGAR: make CoCoA-5 easier to use added

#2 - 10 Oct 2016 18:23 - Anna Maria Bigatti

- Assignee set to Anna Maria Bigatti

- % Done changed from 0 to 80

- Estimated time set to 1.00 h

Done. cvs-ed.

#3 - 10 Oct 2016 18:23 - Anna Maria Bigatti

- Status changed from New to Feedback

#4 - 01 Mar 2017 13:34 - Anna Maria Bigatti

- Status changed from Feedback to Closed

- % Done changed from 80 to 100
